/* Franky Alfaro  3-18-13
   -=RogueLabz=-
   This sketch is written to display temperature read from a DS18s20 temperature sensor. The address of
   a target sensor can be found using the "Roguelabz_1Wire_addr_finder" sketch. Temperature data is displayed 
   through the serial monitor of the Arduino IDE.
*/


#include <LiquidCrystal.h>
#include <OneWire.h>



OneWire Sensor(10); // 1Wire device connected to digital pin 10

byte address[8] = {0x10, 0xBB, 0x49, 0x3F, 0x2, 0x8, 0x0, 0xF5};  // Address of our one wire device


byte i;       
byte scratchPad[9];  // Used to store the scratchpad data of 9 bytes
int C;               // Used to store the Celcius temperature
int F;              // Used to store the Farenheit data



//////////////////////////////

void setup()
{
 Serial.begin(9600);
 
}



//////////////////////////////

void loop()
{
 Sensor.reset();           //\ Resets the 1wire, initializing the device
 Sensor.select(address);   // Selects our device
 Sensor.write(0x44);       // Write a Convert T command (page 11 in data sheet)
 delay(1000);             //\ Delays one second for conversion
 
 /////////////////////////
 
 Sensor.reset();           //\ After every function, you need to start the initalize
 Sensor.select(address);   //  process over again.
 Sensor.write(0xBE);      //\  Read scratchpad command
 
 ///////////////////////////
 
 for(byte i=0; i<8; i++)
 {
   scratchPad[i] = Sensor.read();
    }
 
 Serial.println();
 
 ///////////////////////////////////
 // SERIAL ////////////////////////
 C = scratchPad[i];
 C = C >> 1;
 Serial.println("Temperature:");
 Serial.print(C, DEC);
 Serial.println(" Degrees Celsius");
 
 Serial.println();
 
 F =((C*1.8)+32);
 Serial.print(F, DEC);
 Serial.println(" Degrees Farenheit");
 
 
 Serial.println();
 
 
  
 delay(500);
   
}
